# Uses of Class
org.eclipse.birt.core.exception.CoreException

Packages that use CoreException
Package
Description
org.eclipse.birt.core.data
Provide BIRT's data util component.

## Uses of CoreException in org.eclipse.birt.core.data

Methods in org.eclipse.birt.core.data that throw CoreException
Modifier and Type
Method
Description
`static Set<String>`
ExpressionUtil.`getAllReferencedMeasures(String expr)`
`static Set<IDimLevel>`
ExpressionUtil.`getReferencedDimLevel(String expr)`
`static Set<IDimLevel>`
OlapExpressionCompiler.`getReferencedDimLevel(String expr)`
`static String`
ExpressionUtil.`getReferencedMeasure(String expr)`
Deprecated.
replaced by getAllReferencedMeasures
`static Double`
DataTypeUtil.`toDouble(Object source, com.ibm.icu.util.ULocale locale)`
`static Double`
DataTypeUtil.`toDouble(Object source, Locale locale)`